### Signal

# FwupdPlugin Progress::status-changed

since: 1.7.0

#### Declaration

    void
    status_changed (
      FuProgress* self,
      guint status,
      gpointer user_data
    )

#### Description [src]

The ::status-changed signal is emitted when the task status has changed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.7.0

#### Parameters

`status`

  Type: `guint`

  The new `FwupdStatus`.